> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-1 ECOM

> Get e-commerce details for a return period for authenticated taxpayer

#### Response schema

For successful responses, these resources describe the GSTN payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/documents/ecom.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/gstr-1/documents/ecom-v4.1.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/ecom/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1/ecom/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-1 Documents
      summary: Get GSTR-1 ECOM
      description: Get all ECOM details for a return period for authenticated taxpayer.
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: '{{year}}'
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: '{{month}}'
          schema:
            type: string
        - name: sub_section
          in: query
          description: ''
          required: false
          example: ECOM_B2B
          schema:
            type: string
        - name: recipient_gstin
          in: query
          description: ''
          required: false
          example: ''
          schema:
            type: string
        - name: from
          in: query
          description: ''
          required: false
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: Public key required to authorize API access.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: true
          example: '{{version}}'
          schema:
            type: string
        - name: authorization
          in: header
          description: ''
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGstrsGstr1EcomYearMonthResponse'
              examples:
                RET11417 No data found:
                  summary: RET11417 No data found
                  value:
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        message: >-
                          No document found in selected financial year. Either
                          this document exists in a different financial year or
                          the document number might have been amended earlier.
                          Search with latest amended document.
                        error_cd: RET11417
                    timestamp: 1776921876217
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetGstrsGstr1EcomYearMonthResponse:
      oneOf:
        - $ref: '#/components/schemas/GetGstrsGstr1EcomYearMonthSuccessResponse'
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetGstrsGstr1EcomYearMonthSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: >-
                    #/components/schemas/GetGstrsGstr1EcomYearMonthSuccessPayload
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetGstrsGstr1EcomYearMonthSuccessPayload:
      type: object
      description: Successful GSTN payload for Get Gstrs Gstr1 Ecom Year Month.
      properties:
        ecom:
          $ref: '#/components/schemas/Gstr1EcomData'
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.
    Gstr1EcomData:
      type: object
      properties:
        b2b:
          type: array
          items:
            type: object
            properties:
              inv:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        val:
                          type: number
                          maximum: 9999999999999.99
                          minimum: 0
                          description: Supplier Invoice Value
                        itms:
                          type: array
                          items:
                            type: object
                            properties:
                              num:
                                description: Serial no
                                type: integer
                                minimum: 1
                              itm_det:
                                type: object
                                properties:
                                  rt:
                                    description: rate
                                    type: number
                                    minimum: 0
                                    maximum: 999.99
                                  txval:
                                    type: number
                                    description: >-
                                      Taxable value of Goods or Service as per
                                      invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  iamt:
                                    type: number
                                    description: IGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  camt:
                                    type: number
                                    description: CGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  samt:
                                    type: number
                                    description: SGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  csamt:
                                    type: number
                                    description: Cess Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                required:
                                  - rt
                                  - txval
                            required:
                              - num
                              - itm_det
                        inv_typ:
                          description: Type of invoice
                          type: string
                          enum:
                            - R
                            - DE
                            - SEWP
                            - SEWOP
                        flag:
                          type: string
                          enum:
                            - 'N'
                            - E
                            - D
                          description: tax payer action
                        pos:
                          type: string
                          pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                          maxLength: 2
                          minLength: 2
                          description: >-
                            Maintained in GST System common database Place of
                            supply as provided in law / actual provision of
                            service.
                        idt:
                          type: string
                          minLength: 1
                          pattern: >-
                            ^(0[1-9]|1[0-9]|2[0-8]|29((?=-([0][13-9]|1[0-2])|(?=-(0[1-9]|1[0-2])-([0-9]{2}(0[48]|[13579][26]|[2468][048])|([02468][048]|[13579][26])00))))|30(?=-(0[13-9]|1[0-2]))|31(?=-(0[13578]|1[02])))-(0[1-9]|1[0-2])-[0-9]{4}$
                          description: Supplier Invoice Date
                        inum:
                          type: string
                          maxLength: 16
                          minLength: 1
                          pattern: >-
                            ^(?=.{1,16}$)([/\-0]*[a-zA-Z0-9/\-]*[a-zA-Z1-9]+[a-zA-Z0-9/\-]*)$
                          description: Supplier Invoice Number
                        sply_ty:
                          description: Supply Type of Ecom B2B
                          type: string
                          maxLength: 5
                          enum:
                            - INTER
                            - INTRA
                        chksum:
                          maxLength: 64
                          description: Invoice checksum
                          type: string
                          pattern: ^[a-zA-Z0-9]+$
                          minLength: 1
                      required:
                        - val
                        - itms
                        - inv_typ
                        - flag
                        - pos
                        - idt
                        - inum
                        - sply_ty
                        - chksum
                    - type: object
                      properties:
                        val:
                          type: number
                          maximum: 9999999999999.99
                          minimum: 0
                          description: Supplier Invoice Value
                        itms:
                          type: array
                          items:
                            type: object
                            properties:
                              num:
                                description: Serial no
                                type: integer
                                minimum: 1
                              itm_det:
                                type: object
                                properties:
                                  rt:
                                    description: rate
                                    type: number
                                    minimum: 0
                                    maximum: 999.99
                                  txval:
                                    type: number
                                    description: >-
                                      Taxable value of Goods or Service as per
                                      invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  iamt:
                                    type: number
                                    description: IGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  camt:
                                    type: number
                                    description: CGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  samt:
                                    type: number
                                    description: SGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  csamt:
                                    type: number
                                    description: Cess Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                required:
                                  - rt
                                  - txval
                            required:
                              - num
                              - itm_det
                        inv_typ:
                          description: Type of invoice
                          type: string
                          enum:
                            - R
                            - DE
                            - SEWP
                            - SEWOP
                        flag:
                          description: tax payer action
                          type: string
                          enum:
                            - D
                        pos:
                          type: string
                          pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                          maxLength: 2
                          minLength: 2
                          description: >-
                            Maintained in GST System common database Place of
                            supply as provided in law / actual provision of
                            service.
                        idt:
                          type: string
                          minLength: 1
                          pattern: >-
                            ^(0[1-9]|1[0-9]|2[0-8]|29((?=-([0][13-9]|1[0-2])|(?=-(0[1-9]|1[0-2])-([0-9]{2}(0[48]|[13579][26]|[2468][048])|([02468][048]|[13579][26])00))))|30(?=-(0[13-9]|1[0-2]))|31(?=-(0[13578]|1[02])))-(0[1-9]|1[0-2])-[0-9]{4}$
                          description: Supplier Invoice Date
                        inum:
                          type: string
                          maxLength: 16
                          minLength: 1
                          pattern: >-
                            ^(?=.{1,16}$)([/\-0]*[a-zA-Z0-9/\-]*[a-zA-Z1-9]+[a-zA-Z0-9/\-]*)$
                          description: Supplier Invoice Number
                        sply_ty:
                          description: Supply Type of Ecom B2B
                          type: string
                          maxLength: 5
                          enum:
                            - INTER
                            - INTRA
                        chksum:
                          maxLength: 64
                          description: Invoice checksum
                          type: string
                          pattern: ^[a-zA-Z0-9]+$
                          minLength: 1
                      required:
                        - flag
                        - idt
                        - inum
                        - sply_ty
                        - chksum
              rtin:
                anyOf:
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{5}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[Zz1-9A-Ja-j]{1}[0-9a-zA-Z]{1}
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[A-Z]{3}[0-9]{5}[UO]{1}[N][A-Z0-9]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[a-zA-Z]{3}[0-9]{5}[N][R][0-9a-zA-Z]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{4}[a-zA-Z0-9]{1}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[D]{1}[0-9a-zA-Z]{1}
                description: GSTIN/UID of the Receiver taxpayer
              stin:
                anyOf:
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{5}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[Zz1-9A-Ja-j]{1}[0-9a-zA-Z]{1}
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[A-Z]{3}[0-9]{5}[UO]{1}[N][A-Z0-9]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[a-zA-Z]{3}[0-9]{5}[N][R][0-9a-zA-Z]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{4}[a-zA-Z0-9]{1}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[D]{1}[0-9a-zA-Z]{1}
                description: GSTIN/UID of the Supplier taxpayer
            required:
              - inv
              - rtin
              - stin
        b2c:
          type: array
          items:
            type: object
            properties:
              stin:
                anyOf:
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{5}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[Zz1-9A-Ja-j]{1}[0-9a-zA-Z]{1}
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[A-Z]{3}[0-9]{5}[UO]{1}[N][A-Z0-9]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[a-zA-Z]{3}[0-9]{5}[N][R][0-9a-zA-Z]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{4}[a-zA-Z0-9]{1}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[D]{1}[0-9a-zA-Z]{1}
                description: GSTIN/UID of the Supplier taxpayer
              csamt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: Cess Amount as per invoice
              samt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: SGST Amount as per invoice
              rt:
                description: rate
                type: number
                minimum: 0
                maximum: 999.99
              flag:
                type: string
                enum:
                  - 'N'
                  - E
                  - D
                description: tax payer action
              pos:
                type: string
                pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                maxLength: 2
                minLength: 2
                description: >-
                  Maintained in GST System common database Place of supply as
                  provided in law / actual provision of service.
              txval:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: Taxable value of Goods or Service as per invoice
              camt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: CGST Amount as per invoice
              iamt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: IGST Amount as per invoice
              sply_ty:
                description: Supply Type of B2cs
                type: string
                maxLength: 5
                enum:
                  - INTER
                  - INTRA
              chksum:
                maxLength: 64
                description: Invoice checksum
                type: string
                pattern: ^[a-zA-Z0-9]+$
                minLength: 1
            required:
              - stin
              - rt
              - flag
              - pos
              - txval
              - sply_ty
              - chksum
        urp2b:
          type: array
          items:
            type: object
            properties:
              inv:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        val:
                          type: number
                          maximum: 9999999999999.99
                          minimum: 0
                          description: Supplier Invoice Value
                        itms:
                          type: array
                          items:
                            type: object
                            properties:
                              num:
                                description: Serial no
                                type: integer
                                minimum: 1
                              itm_det:
                                type: object
                                properties:
                                  rt:
                                    description: rate
                                    type: number
                                    minimum: 0
                                    maximum: 999.99
                                  txval:
                                    type: number
                                    description: >-
                                      Taxable value of Goods or Service as per
                                      invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  iamt:
                                    type: number
                                    description: IGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  camt:
                                    type: number
                                    description: CGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  samt:
                                    type: number
                                    description: SGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  csamt:
                                    type: number
                                    description: Cess Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                required:
                                  - rt
                                  - txval
                            required:
                              - num
                              - itm_det
                        flag:
                          type: string
                          enum:
                            - 'N'
                            - E
                            - D
                          description: tax payer action
                        pos:
                          type: string
                          pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                          maxLength: 2
                          minLength: 2
                          description: >-
                            Maintained in GST System common database Place of
                            supply as provided in law / actual provision of
                            service.
                        idt:
                          type: string
                          minLength: 1
                          pattern: >-
                            ^(0[1-9]|1[0-9]|2[0-8]|29((?=-([0][13-9]|1[0-2])|(?=-(0[1-9]|1[0-2])-([0-9]{2}(0[48]|[13579][26]|[2468][048])|([02468][048]|[13579][26])00))))|30(?=-(0[13-9]|1[0-2]))|31(?=-(0[13578]|1[02])))-(0[1-9]|1[0-2])-[0-9]{4}$
                          description: Supplier Invoice Date
                        inum:
                          type: string
                          maxLength: 16
                          minLength: 1
                          pattern: >-
                            ^(?=.{1,16}$)([/\-0]*[a-zA-Z0-9/\-]*[a-zA-Z1-9]+[a-zA-Z0-9/\-]*)$
                          description: Supplier Invoice Number
                        sply_ty:
                          description: Supply Type of Ecom B2B
                          type: string
                          maxLength: 5
                          enum:
                            - INTER
                            - INTRA
                        inv_typ:
                          description: Type of invoice
                          type: string
                          enum:
                            - R
                            - SEWP
                            - DE
                            - SEWOP
                        chksum:
                          maxLength: 64
                          description: Invoice checksum
                          type: string
                          pattern: ^[a-zA-Z0-9]+$
                          minLength: 1
                      required:
                        - val
                        - itms
                        - flag
                        - pos
                        - idt
                        - inum
                        - sply_ty
                        - inv_typ
                        - chksum
                    - type: object
                      properties:
                        val:
                          type: number
                          maximum: 9999999999999.99
                          minimum: 0
                          description: Supplier Invoice Value
                        itms:
                          type: array
                          items:
                            type: object
                            properties:
                              num:
                                description: Serial no
                                type: integer
                                minimum: 1
                              itm_det:
                                type: object
                                properties:
                                  rt:
                                    description: rate
                                    type: number
                                    minimum: 0
                                    maximum: 999.99
                                  txval:
                                    type: number
                                    description: >-
                                      Taxable value of Goods or Service as per
                                      invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  iamt:
                                    type: number
                                    description: IGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  camt:
                                    type: number
                                    description: CGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  samt:
                                    type: number
                                    description: SGST Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                  csamt:
                                    type: number
                                    description: Cess Amount as per invoice
                                    minimum: 0
                                    maximum: 99999999999.99
                                required:
                                  - rt
                                  - txval
                            required:
                              - num
                              - itm_det
                        flag:
                          description: tax payer action
                          type: string
                          enum:
                            - D
                        pos:
                          type: string
                          pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                          maxLength: 2
                          minLength: 2
                          description: >-
                            Maintained in GST System common database Place of
                            supply as provided in law / actual provision of
                            service.
                        idt:
                          type: string
                          minLength: 1
                          pattern: >-
                            ^(0[1-9]|1[0-9]|2[0-8]|29((?=-([0][13-9]|1[0-2])|(?=-(0[1-9]|1[0-2])-([0-9]{2}(0[48]|[13579][26]|[2468][048])|([02468][048]|[13579][26])00))))|30(?=-(0[13-9]|1[0-2]))|31(?=-(0[13578]|1[02])))-(0[1-9]|1[0-2])-[0-9]{4}$
                          description: Supplier Invoice Date
                        inum:
                          type: string
                          maxLength: 16
                          minLength: 1
                          pattern: >-
                            ^(?=.{1,16}$)([/\-0]*[a-zA-Z0-9/\-]*[a-zA-Z1-9]+[a-zA-Z0-9/\-]*)$
                          description: Supplier Invoice Number
                        sply_ty:
                          description: Supply Type of Ecom B2B
                          type: string
                          maxLength: 5
                          enum:
                            - INTER
                            - INTRA
                        inv_typ:
                          description: Type of invoice
                          type: string
                          enum:
                            - R
                            - SEWP
                            - DE
                            - SEWOP
                        chksum:
                          maxLength: 64
                          description: Invoice checksum
                          type: string
                          pattern: ^[a-zA-Z0-9]+$
                          minLength: 1
                      required:
                        - flag
                        - idt
                        - inum
                        - sply_ty
                        - inv_typ
                        - chksum
              rtin:
                anyOf:
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{5}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[Zz1-9A-Ja-j]{1}[0-9a-zA-Z]{1}
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[A-Z]{3}[0-9]{5}[UO]{1}[N][A-Z0-9]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: '[0-9]{4}[a-zA-Z]{3}[0-9]{5}[N][R][0-9a-zA-Z]{1}'
                  - type: string
                    maxLength: 15
                    minLength: 15
                    pattern: >-
                      [0-9]{2}[a-zA-Z]{4}[a-zA-Z0-9]{1}[0-9]{4}[a-zA-Z]{1}[1-9A-Za-z]{1}[D]{1}[0-9a-zA-Z]{1}
                description: GSTIN/UID of the Receiver taxpayer
            required:
              - inv
              - rtin
        urp2c:
          type: array
          items:
            type: object
            properties:
              csamt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: Cess Amount as per invoice
              samt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: SGST Amount as per invoice
              rt:
                description: rate
                type: number
                minimum: 0
                maximum: 999.99
              flag:
                type: string
                enum:
                  - 'N'
                  - E
                  - D
                description: tax payer action
              pos:
                type: string
                pattern: ^(3[0-8]|[12][0-9]|0[1-9]|96|97)$
                maxLength: 2
                minLength: 2
                description: >-
                  Maintained in GST System common database Place of supply as
                  provided in law / actual provision of service.
              txval:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: Taxable value of Goods or Service as per invoice
              camt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: CGST Amount as per invoice
              iamt:
                type: number
                maximum: 99999999999.99
                minimum: -99999999999.99
                description: IGST Amount as per invoice
              sply_ty:
                description: Supply Type of UR2C
                type: string
                maxLength: 5
                enum:
                  - INTER
                  - INTRA
              chksum:
                maxLength: 64
                description: Invoice checksum
                type: string
                pattern: ^[a-zA-Z0-9]+$
                minLength: 1
            required:
              - rt
              - flag
              - pos
              - txval
              - sply_ty
              - chksum

````